Name:    kscreen
Version: 5.27.11
Release:    1%{?dist}
Summary: KDE Display Management software

License: GPLv2 or GPLv3
URL:     https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  systemd-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtsensors-devel
BuildRequires:  layer-shell-qt-devel

BuildRequires:  libkscreen-qt5-devel >= %{majmin_ver}
Requires:       libkscreen-qt5 >= %{majmin_ver}

BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5KCMUtils)

BuildRequires:  pkgconfig(xcb-atom)
BuildRequires:  pkgconfig(xi)

Requires:       qt5-qtgraphicaleffects

%description
KCM and KDED modules for managing displays in KDE.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --with-kde --all-name


%files -f %{name}.lang
%license LICENSES
%{_bindir}/kscreen-console
%{_datadir}/kservices5/plasma-applet-org.kde.kscreen.desktop
%{_datadir}/metainfo/org.kde.kscreen.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.kscreen/contents/ui/InhibitionHint.qml
%{_datadir}/plasma/plasmoids/org.kde.kscreen/contents/ui/PresentationModeItem.qml
%{_datadir}/plasma/plasmoids/org.kde.kscreen/contents/ui/ScreenLayoutSelection.qml
%{_datadir}/plasma/plasmoids/org.kde.kscreen/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.kscreen/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.kscreen/metadata.json
%{_kf5_datadir}/applications/kcm_kscreen.desktop
%{_kf5_datadir}/dbus-1/services/org.kde.kscreen.osdService.service
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/Orientation.qml
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/Output.qml
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/OutputPanel.qml
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/Panel.qml
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/RotationButton.qml
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/Screen.qml
%{_kf5_datadir}/kpackage/kcms/kcm_kscreen/contents/ui/main.qml
%{_kf5_datadir}/qlogging-categories5/kscreen.categories
%{_kf5_plugindir}/kded/kscreen.so
%{_kf5_qtplugindir}/plasma/applets/plasma_applet_kscreen.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_kscreen.so
%{_libexecdir}/kscreen_osd_service
%{_userunitdir}/plasma-kscreen-osd.service


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.11-1
- initial build
